Subject: Re: doc warnings in *80211

From: Jakub Kicinski <[email-masked]>
Date: Tue, 4 Oct 2022 07:26:46 -0700

On Tue, 04 Oct 2022 09:51:07 +0200 Johannes Berg wrote:
> > doing basic sanity checks before submitting the net-next PR I spotted
> > that we have these warnings when building documentation on net-next:
> > 
> > Documentation/driver-api/80211/cfg80211:48: ./include/net/cfg80211.h:6960: WARNING: Duplicate C declaration, also defined at driver-api/80211/cfg80211:6924.
> > Declaration is '.. c:function:: void cfg80211_rx_assoc_resp (struct net_device *dev, struct cfg80211_rx_assoc_resp *data)'.  
> 
> Hmm. That's interesting. I guess it cannot distinguish between the type
> of identifier?
> 
> struct cfg80211_rx_assoc_resp vs. cfg80211_rx_assoc_resp()
> 
> Not sure what do about it - rename one of them?
> 
> > Documentation/driver-api/80211/mac80211:109: ./include/net/mac80211.h:5046: WARNING: Duplicate C declaration, also defined at driver-api/80211/mac80211:1065.
> > Declaration is '.. c:function:: void ieee80211_tx_status (struct ieee80211_hw *hw, struct sk_buff *skb)'.  
> 
> Same here actually!
> 
> I don't think either of these is new.

Thanks for checking!

Adding linux-doc, but I presume Jon & co are aware if this is not new.